iob_reset(3)

NAME
iob_reset - reset an I/O batch

SYNTAX
#include <libowfat/iob.h>

void iob_reset(io_batch* b);

DESCRIPTION
iob_free empties the list of transactions in an I/O batch. Files added with iob_addfile_close are closed, and buffer added with iob_addbuf_free of iob_adds_free are freed.

The I/O batch itself is not freed. You can start adding transactions to it again.

SEE ALSO
iob_new(3), iob_reset(3)